itpp::Exponential_RNG Class Reference
Base Module » Random Number Generation

Exponential distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Exponential_RNG (double lambda=1.0)
| constructor. Set lambda.
void | setup (double lambda)
| Set lambda.
double | get_setup () const
| get lambda
double | operator() ()
| Get one sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Exponential distribution.

Definition at line 405 of file random.h.

## Constructor & Destructor Documentation

## Exponential_RNG()

itpp::Exponential_RNG::Exponential_RNG | ( | double | lambda = 1.0 | ) |

constructor. Set lambda.

Definition at line 366 of file random.cpp.

References setup().

## Member Function Documentation

## setup()

void itpp::Exponential_RNG::setup | ( | double | lambda | ) |

inline

Set lambda.

Definition at line 411 of file random.h.

Referenced by Exponential_RNG(), and itpp::randexp().

## operator()() [1/3]

double itpp::Exponential_RNG::operator() | ( |  | ) |

inline

Get one sample.

Definition at line 415 of file random.h.

## operator()() [2/3]

vec itpp::Exponential_RNG::operator() | ( | int | n | ) |

Get a sample vector.

Definition at line 371 of file random.cpp.

## operator()() [3/3]

mat itpp::Exponential_RNG::operator() | ( | int | h,
|  | int | w )

Get a sample matrix.

Definition at line 381 of file random.cpp.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on for IT++ by Doxygen 1.15.0